/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.services.dicomnetcommons;
/**
 * This enum represents elements of NSetStatus
 */
public enum EnumNSetStatus implements IStatus
{
	/** short value representing failure status*/
	INVALID_ATTRIBUTE_VALUE((short)0x0106),

	/** short value representing failure status*/
	SOP_CLASS_NOT_SUPPORTED((short)0x0122),

	/** short value representing failure status*/
	PROCESSING_FAILURE((short)0x0110),

	/** short value representing success status*/
	SUCCESS((short)0x0000),

	/** short value representing warning status*/
	OPTIONAL_ATTRIBUTES_ARE_NOT_SUPPORTED((short)0xB305),

	/** short value representing warning status*/
	INVALID_VALUES_TO_VALID_VALUES((short)0x0001),

	/** short value representing warning status*/
	MEMORY_ALLOCATION_NOT_SUPPORTED((short)0xB600),

	/** short value representing warning status*/
	MIN_DENSITY_OR_MAX_DENSITY_OUTSIDE_PRINTERS_RANGE((short)0xB605),

	/** short value representing warning status*/
	IMAGE_SIZE_LARGER_THAN_IMAGE_BOX_IMAGE_DEMAGNIFIED((short)0xB604),

	/** short value representing warning status*/
	IMAGE_SIZE_LARGER_THAN_IMAGE_BOX_IMAGE_CROPPED((short)0xB609),

	/** short value representing warning status*/
	IMAGE_SIZE_LARGER_THAN_IMAGE_BOX_IMAGE_DECIMATED_TO_FIT((short)0xB60A),

	/** short value representing failure status*/
	UPS_IS_NOT_IN_THE_IN_PROGRESS_STATE((short)0xC310),

	SOP_INSTANCE_UID_DOES_NOT_EXIST_OR_IS_NOT_A_UPS_INSTANCE_MANAGED_BY_THIS_SCP((short)0xC307),

	TRANSACTION_UID_WAS_NOT_PROVIDED((short)0xC301),

	IMAGE_SIZE_LARGER_THAN_IMAGE_BOX((short)0xC603),

	/** short value representing failure status*/
	COMBINED_PRINT_IMAGE_SIZE_LARGER_THAN_IMAGE_BOX((short)0xC613),

	/** short value representing failure status*/
	INSUFFICIENT_MEMORY_IN_PRINTER((short)0xC605),

	/** short value representing failure status*/
	EXISTING_FILM_BOX_NOT_PRINTED((short)0xC616),
	
	/** short value representing processing failure due to Parsing failed*/
	UNABLE_TO_PROCESS_PARSING_FAILED((short)0xC000);
	
	

	private short value;

	EnumNSetStatus(short shValue)
	{
		value = shValue;
	}

	/**
	 * Returns the short value of this enum.
	 * @return - returns short value of NCreate Response Status.
	 */
	public short getValue()
	{
		return value;
	}
}
